/*
    libut61 - library for parsing UT61 (ES51922) DMM readout data stream
    Copyright (C) 2021  Tibor 'Igor2' Palinkas

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Project page:           http://www.repo.hu/projects/ut61
    Version control:        svn://svn.repo.hu/ut61/trunk
    Contact (email & IRC):  http://igor2.repo.hu/contact.html
*/

#ifndef UT61_RAW_H
#define UT61_RAW_H

#include <libut61/ut61.h>

/* Open and set up the serial port; returns the fd or -1 on error */
int ut61_port_open(const char *fn);

/* Read till the first newline to start with a clean state; no need to
   call this normally, ut61_packet_read() will call it when needed. */
void ut61_port_sync(int fd);

/* Reads a packet and fills in the raw section of pkt; returns 0 on success */
void ut61_packet_read(int fd, ut61_packet_t *pkt);

/* Print all raw fields in a few lines to f (useful for debugging) */
void ut61_packet_fprint(FILE *f, const ut61_packet_t *pkt);


#endif
